function l(e, r) {
  switch (r.type) {
    case "SET_PROGRESS":
      return { ...e, progress: r.payload };
    case "SET_PREVIEW":
      return { ...e, preview: r.payload };
    case "SET_VALID_FILE":
      return { ...e, validFile: r.payload };
    case "RESET":
      return { progress: null, preview: !1, validFile: !1 };
    default:
      return e;
  }
}
export {
  l as uploadReducer
};
